> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Transaction



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml get /api/transaction
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/transaction:
    get:
      tags:
        - Transaction management
      summary: Show Transaction
      operationId: showTransaction
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: number
                      description: The ID of the merchant that processed the transaction.
                      example: 1234567
                    transaction_info_id:
                      type: number
                      description: >-
                        The transaction info id which is unique only against the
                        SID of the merchant, and ties across all other reporting
                        objects such as transactions.
                      example: 6789131231
                    transaction_type:
                      type: string
                      description: >-
                        Must be either "CC" or "ACH". This field is required
                        with data.transaction_id when transaction_info_id is not
                        provided.
                      example: ACH
                    transaction_id:
                      type: number
                      description: >-
                        The ID of a transaction. This field is required with
                        data.transaction_type when transaction info_id is not
                        provided.
                      example: 123
                  required:
                    - sid
                    - transaction_type
      responses:
        '200':
          description: Successful Show
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    transaction_type: CC
                    transaction_status: CC Pending
                    transaction_status_description: A cc transaction that is pending
                    transaction_number: '1231'
                    transaction_date: '2021-01-01'
                    fund_date: '2021-01-01'
                    settle_date: '2021-01-01'
                    amount: '25.0000'
                    description: ''
                    status_code: ''
                    status_text: ''
                    email: ''
                    phone: ''
                    customer_uuid: 68d9feaa-04a9-4c48-8c00-a0b79c8b2f70
                    multi_use_token: ''
                    pending: true
                    transaction_info_id: '1231321'
                    parent_transaction_info_id: '12313244444'
                    billing_address:
                      first_name: ''
                      last_name: ''
                      addr1: ''
                      addr2: ''
                      city: ''
                      state: ''
                      zip: ''
                    shipping_address:
                      addr1: 123 Main St
                      addr2: apt 1
                      city: Alpharetta
                      state: GA
                      zip: '12345'
                properties:
                  data:
                    type: object
                    properties:
                      transaction_type:
                        type: string
                        example: CC
                        description: 'Transaction type. Example: Checking'
                      transaction_status:
                        type: string
                        example: CC Pending
                        description: 'Transaction Status. Example: CC Pending'
                      transaction_status_description:
                        type: string
                        example: A cc transaction that is pending
                        description: >-
                          Transaction Status Description explaining the status.
                          Example: A credit card transaction that has not
                          settled yet.
                      transaction_number:
                        type: string
                        example: '1231'
                      transaction_date:
                        type: string
                        example: '2021-01-01'
                        description: 'Transaction Date. Example: 2024-01-17T12:44:28.000000Z'
                      fund_date:
                        type: string
                        example: '2021-01-01'
                        description: 'Fund Date. Example: 2024-01-18T21:05:21.000000Z'
                      settle_date:
                        type: string
                        example: '2021-01-01'
                        description: 'Settle Date. Example: 2024-01-17T18:35:00.000000Z'
                      amount:
                        type: string
                        example: '25.0000'
                        description: 'Transaction amount. Example: $120.00'
                      description:
                        type: string
                        example: ''
                        description: 'Transaction type. Example: Checking'
                      status_code:
                        type: string
                        example: ''
                        description: The status code of the transaction.
                      status_text:
                        type: string
                        example: ''
                        description: The status text of the transaction.
                      email:
                        type: string
                        example: ''
                        description: The email of the transaction.
                      phone:
                        type: string
                        example: ''
                        description: The phone of the transaction.
                      customer_uuid:
                        type: string
                        example: 68d9feaa-04a9-4c48-8c00-a0b79c8b2f70
                        description: The customer uuid of the transaction.
                      multi_use_token:
                        type: string
                        example: ''
                        description: The multi use token of the transaction.
                      pending:
                        type: boolean
                        example: true
                        description: The pending status of the transaction.
                      transaction_info_id:
                        type: string
                        example: '1231321'
                        description: >-
                          The transaction's info id that can be used in requests
                          to other API endpoints to look up a specific
                          transaction.
                      parent_transaction_info_id:
                        type: string
                        example: '12313244444'
                        description: >-
                          The transaction's parent's info id that can be used in
                          requests to other API endpoints to look up a specific
                          transaction.
                      billing_address:
                        type: object
                        properties:
                          first_name:
                            type: string
                            example: ''
                            description: The first name field.
                          last_name:
                            type: string
                            example: ''
                            description: The last name field.
                          addr1:
                            type: string
                            example: ''
                            description: The first address line.
                          addr2:
                            type: string
                            example: ''
                            description: The second address line.
                          city:
                            type: string
                            example: ''
                            description: The city field.
                          state:
                            type: string
                            example: ''
                            description: The state field.
                          zip:
                            type: string
                            example: ''
                            description: The zip field.
                      shipping_address:
                        type: object
                        properties:
                          addr1:
                            type: string
                            example: 123 Main St
                            description: The first address line.
                          addr2:
                            type: string
                            example: apt 1
                            description: The second address line.
                          city:
                            type: string
                            example: Alpharetta
                            description: The city field.
                          state:
                            type: string
                            example: GA
                            description: The state field.
                          zip:
                            type: string
                            example: '12345'
                            description: The zip field.
        '400':
          description: Field Validation Failed
          content:
            application/json:
              schema:
                type: object
                example:
                  errors:
                    data.sid:
                      - The data.sid is not the correct format.
                properties:
                  errors:
                    type: object
                    properties:
                      data.sid:
                        type: array
                        example:
                          - The data.sid is not the correct format.
                        items:
                          type: string
        '401':
          description: ''
          content:
            application/json:
              schema:
                oneOf:
                  - description: Invalid API Key Permission
                    type: object
                    example:
                      data:
                        message: Permission Denied.
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: Permission Denied.
                  - description: User perm issue
                    type: object
                    example:
                      data:
                        message: User not associated with the affiliate.
                    properties:
                      data:
                        type: object
                        properties:
                          message:
                            type: string
                            example: User not associated with the affiliate.
        '404':
          description: No transaction found
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: No transaction found
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: No transaction found
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````